/*
 * 
 */

var creepBuilds = require("./creep_builds");
var settings = require("./settings");
var misc = require("./misc");


var spawnCreeps = settings.getSpawnCreeps();
var creepGoalAmount = settings.getCreepGoalAmount();

var creepManager = {

	run: function() {
		if (spawnCreeps) {
			for (role in creepGoalAmount) {
				roleCreepsAmount = _.filter(Game.creeps, (creep) => creep.memory.role == role);
				if (roleCreepsAmount < creepGoalAmount[role]) {
					spawnCreep(role, roleCreepsAmount);
				}
			}
		}
	}
};

module.exports = creepManager;




function spawnCreep(role, existing) {
	let name = role + "_Spheal_" + existing;

	if (!Game.spawns.Spawn1.spawning) {
		misc.displayMessage("Spawn", Game.spawns.Spawn1, "Spawning next: " + name);
		}
	else {
		misc.displayMessage("Spawn", Game.spawns.Spawn1, "Spawning Creep");
		}

	Game.spawns.Spawn1.spawnCreep(creepBuilds[buildType], newCreepName, { memory: { role: buildType } });
}
